%define module	SVG
%define name	perl-%{module}
%define version	2.28
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl extension for generating Scalable Vector Graphics (SVG) documents
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Buildrequires:	perl-devel
Buildarch:	noarch

%description
SVG is a 100% Perl module which generates a nested data structure containing
the DOM representation of an SVG (Scalable Vector Graphics) image. Using SVG,
you can generate SVG objects, embed other SVG instances into it, access the DOM
object, create and access javascript, and generate SMIL animation content.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Sun Jan 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.28-1mdk
- first mdk release
